Leads API

5 PracBill API endpoints for leads. Base URL https://billing.pracbill.com.au/api.

Create a lead

POST /{api_key}/leads/add

Request body

FieldTypeDescription
lidintegerLead id
StatusstringCurrent Lead Status
CompanystringCompany Name
TitlestringLeads Title
NamestringFirst Name
Middle NamestringMiddle Name
SurnamestringLast Name
SexstringGender
Date Of BirthstringDate Of Birth
LogostringURL For Logo
PhonestringPhone number for Lead
MobilestringMobile Contact number
FaxstringFax Number
EmailstringEmail Address
WebsitestringCompany Website
Billing AddressstringBilling Address
CommentsstringAny Comments about the lead
Security QuestionstringA security question for validate Lead
Security AnswerstringSecurity Question Answer
Lead TypestringType of lead, this is controlled by a Lookup Table in pracbill "Lead Types" any non matching value may not render
Lead SourcestringWhere the lead came from, this is controlled by a Lookup Table in pracbill "Lead Sources" any non matching value may not render
SecuritystringSecurity Method to apply
date_createdstringDate Created
date_modifiedstringDate Last Modified

Responses

  • 200 — Request received successfully

POST /{api_key}/leads/filter/get/page/{page_number}

POST /{api_key}/leads/filter/get/page/{page_number}

Request body

FieldTypeDescription
companystringcompany name
emailstringemail address
phonestringPhone number
typestringThe type of lead
sourcestringlead source, where did this lead come from?
ntoesstringany internal notes about the lead
statusstringCurrent status the lead is in

Responses

  • 200 — Request received successfully

Get a list of paginated leads ( 20 per page )

GET /{api_key}/leads/get/page/{page_number}

Responses

  • 200 — Request received successfully

Get a lead

GET /{api_key}/leads/get/{lid}

Responses

  • 200 — Request received successfully

Update a lead

POST /{api_key}/leads/{lid}

Request body

FieldTypeDescription
lidintegerLead id
StatusstringCurrent Lead Status
CompanystringCompany Name
TitlestringLeads Title
NamestringFirst Name
Middle NamestringMiddle Name
SurnamestringLast Name
SexstringGender
Date Of BirthstringDate Of Birth
LogostringURL For Logo
PhonestringPhone number for Lead
MobilestringMobile Contact number
FaxstringFax Number
EmailstringEmail Address
WebsitestringCompany Website
Billing AddressstringBilling Address
CommentsstringAny Comments about the lead
Security QuestionstringA security question for validate Lead
Security AnswerstringSecurity Question Answer
Lead TypestringType of lead, this is controlled by a Lookup Table in pracbill "Lead Types" any non matching value may not render
Lead SourcestringWhere the lead came from, this is controlled by a Lookup Table in pracbill "Lead Sources" any non matching value may not render
SecuritystringSecurity Method to apply
date_createdstringDate Created
date_modifiedstringDate Last Modified

Responses

  • 200 — Request received successfully

← All API groups